# -*- coding: utf-8 -*-

# désactivation du filtrage de contenu
dico_desactive = {
                    'anonregexplist':         "'/etc/dansguardian/lists/empty'",
                    'exceptionregexpurllist': "'/etc/dansguardian/lists/empty'",
                    'greyregexpurllist':      "'/etc/dansguardian/lists/empty'",
                    'bannedphraselist':       "'/etc/dansguardian/lists/empty'",
                    'weightedphraselist':     "'/etc/dansguardian/lists/empty'",
                    'exceptionphraselist':    "'/etc/dansguardian/lists/empty'",
                    'bannedregexpurllist':    "'/etc/dansguardian/lists/empty'",
                    'bannedextensionlist':    "'/etc/dansguardian/lists/empty'",
                    'bannedmimetypelist':     "'/etc/dansguardian/lists/empty'",
                    'contentregexplist':      "'/etc/dansguardian/lists/empty'",
                    'enablepics': 'off',
                    'naughtynesslimit': "100"
                }
dico_desactive2 = {'weightedphrasemode': '2',
        'phrasefiltermode':   '1'}

# activation du filtrage de contenu complet
dico_active_c = {'anonregexplist':         "'/etc/dansguardian/lists/anonregexplist'",
                     'exceptionregexpurllist': "'/etc/dansguardian/lists/exceptionregexpurllist'",
                     'greyregexpurllist':      "'/etc/dansguardian/lists/greyregexpurllist'",
                     'bannedphraselist':       "'/etc/dansguardian/lists/bannedphraselist'",
                     'weightedphraselist':     "'/etc/dansguardian/lists/weightedphraselist'",
                     'exceptionphraselist':    "'/etc/dansguardian/lists/exceptionphraselist'",
                     'bannedregexpurllist':    "'/etc/dansguardian/lists/bannedregexpurllist'",
                     'contentregexplist':      "'/etc/dansguardian/lists/contentregexplist'",
                     'enablepics': 'on',
                     'naughtynesslimit': "100"}
dico_active_c2 = {'weightedphrasemode': '2',
        'phrasefiltermode':   '1'}

# activation du filtrage de contenu sur META
dico_active_m = {'anonregexplist':         "'/etc/dansguardian/lists/anonregexplist'",
                     'exceptionregexpurllist': "'/etc/dansguardian/lists/exceptionregexpurllist'",
                     'greyregexpurllist':      "'/etc/dansguardian/lists/greyregexpurllist'",
                     'bannedphraselist':       "'/etc/dansguardian/lists/bannedphraselist'",
                     'weightedphraselist':     "'/etc/dansguardian/lists/weightedphraselist.meta'",
                     'exceptionphraselist':    "'/etc/dansguardian/lists/exceptionphraselist'",
                     'bannedregexpurllist':    "'/etc/dansguardian/lists/bannedregexpurllist'",
                     'contentregexplist':      "'/etc/dansguardian/lists/contentregexplist'",
                     'enablepics': 'off',
                     'naughtynesslimit': "50"
                     }
dico_active_m2 = {'weightedphrasemode': '1',
        'phrasefiltermode':   '3'}

# dico commun aux deux modes d'activation
# pour les politiques optionnelles
dico_active_template = {  'bannedextensionlist':    "'/etc/dansguardian/lists/bannedextensionlist%s.f%d'",
                            'bannedmimetypelist':     "'/etc/dansguardian/lists/bannedmimetypelist%s.%d'",
                          }
# pour les politiques fixes (par defaut et utilisateur)
dico_active_fixed = {  'bannedextensionlist':    "'/etc/dansguardian/lists/bannedextensionlist'",
                        'bannedmimetypelist':     "'/etc/dansguardian/lists/bannedmimetypelist'",
                      }
