# -*- coding: utf-8 -*-
###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# Action générique
#
#
###########################################################################

from ead2.backend.lib.action import * # import des actions et des types
from ead2.backend.actions import tools # import des outils de manipulation de requetes et creation de lien javascript
import traceback
# template additionnel
used_templates = ['main', 'form', 'formselect', 'accordion']

class ObjectAction(Action):
    user_description = Dict(default={}, doc="description de l'éxécutant", keys=['ip', 'name', 'role'])
    name = 'nom_l_action'
    libelle = 'libelle dans le menu'
    description = 'popup dans le menu'
    category = "chemein dans le menu"
    request = Dict(default={}, doc="arguments de la requete en cours cote frontend",
                    keys=['server', 'action', 'beg_filename'])
    ## facultatif
    form_result = Dict(default={}, doc="retour formulaire de la requete en cours coté frontend",
                        keys = ['log_request'])

    def execute(self):
        params, self.server_nb = tools.get_request(self.request)
        result = {'titre':self.description}
        return self.send_all(result, template='main', templates=used_templates)

