#! /usr/bin/env python
# -*- coding: UTF-8 -*-
###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# get_quota <user>
#
# Affiche le quota affecté à un utilisateur
#
###########################################################################
import sys,os

try:
    user = sys.argv[1]
except:
    sys.exit("arguments manquants : <user>")

## récupération des limites de quota d'un utilisateur
cmd = "/usr/bin/quota %s"%user
output=os.popen(cmd)
lines = output.readlines()
output.close()
try:
    nb_blocks = lines[2].split()[2]
except IndexError:
    # pas de quotas pour cet utilisateur
    print(0)
else:
    # on retourne la limite en Mo
    print((int(nb_blocks))/1024)
