#!/bin/bash
# script de lancement de mise  jour depuis l'ead2
###########################################################################
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr 
#  
# lance la mise a jour
#  
###########################################################################

# options de reconfiguration
if [ ! -z "$1" ]  	 
then 	 
        if [ "$1" == "-ead2" ] 	 
        then 	 
                reconf_opts="-ead -ead2"
	else
		reconf_opts="-ead"
        fi 	 
fi

# options de mise a jour
maj_opts="-W"

# log du reconfigure
reconflog='/usr/share/ead2/backend/tmp/reconf.log'

if [ `whoami` == "root" ]
then
	nb=`/usr/bin/Maj-Auto $maj_opts | wc -l`
	if [ $nb -gt 10 ]
	then
		/usr/bin/reconfigure $reconf_opts > $reconflog 2>&1
	fi
else
	nb=`/usr/bin/sudo /usr/bin/Maj-Auto $maj_opts | wc -l`
	if [ $nb -gt 10 ]
	then
		/usr/bin/sudo /usr/bin/reconfigure $reconf_opts >/dev/null 2>&1
	fi
fi
