# -*- coding: UTF-8 -*-
"""
Erreurs du backend EAD2
"""

class ValueEoleError(Exception):
    """Cette valeur n'existe pas"""
    pass

class TypeEoleError(Exception):
    """Erreur de type"""
    pass

class ConfigError(Exception):
    pass

class FileNotFound(ConfigError):
    pass

class DependencyError(ConfigError):
    pass

class SignatureError(Exception):
    """Mauvais paramètre passé à une action
    """
    pass

class ConstraintError(ConfigError):
    pass

class ActionAlreadyRegistered(Exception):
    """Cette action a déjà été définie"""
    pass

